> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/getting-started/guides/live-tv-event-guides/aggregating-live-tv-events.md).

# Aggregating live TV events

Aggregating Predicted Viewership data to create features for forecasting is an impactful way to unlock the value of Live TV Events data. You can use the Features API to aggregate Predicted Viewership data.

See the Predicted Viewership features in the [endpoint documentation](/api/features/get-features.md). Using these features you can get the count, sum, min, max, avg, median, and std\_dev for any viewership feature in the Features API. The Features API combines all the viewership data for a location and returns these calculated values. For example, you can get the total NFL viewership and NBA viewership per day for a location:

```python
import requests

data = {
    "active": {
        "gte": "2020-02-01",
        "lte": "2020-02-29"
    },
    "location": {
        "place_id": [
            5224323,
            5811704,
            4887398
        ]
    },
    "phq_viewership_sports_american_football_nfl": {
        "stats": [
            "count",
            "sum",
            "avg"
        ]
    },
    "phq_viewership_sports_basketball_nba": {
        "stats": [
            "count",
            "sum",
            "avg"
        ]
    }
}


response = requests.post(
    url="https://api.predicthq.com/v1/features/",
    headers={
      "Authorization": "Bearer $API_TOKEN",
      "Accept": "application/json"
    },
    json=data
)

print(response.json())
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.predicthq.com/getting-started/guides/live-tv-event-guides/aggregating-live-tv-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
